
/* Initng, a next generatind sysvinit replacement.
 * Copyright (C) 2005 Jimmy Wennlund <jimmy.wennlund@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef INITNG_H
#define INITNG_H

#undef DEBUG

/*
#ifdef DEBUG
#define D(x...) printf(x)
#endif

#ifndef DEBUG
#define D(x...)
#endif
*/
#define TRUE 1
#define FALSE 0
#define FAIL 0

#define INITNG_ROOT "/etc/initng"
#define MINITROOT "/etc/minit"
#define CONTROL_PATH "/var/initng"
#define TEST_CONTROL_PATH "/var/initng-test"

#define STD_OUT "/dev/vc/12"
#define STD_ERR "/dev/console"

#define INITNG_EXT ".i"

#define MAX_FILESIZE 10000      /* in bytes */
#define MAX_SERVICE 100
#define MAX_ACTIVE 50

#define HISTORY 400

#define M_D_F 50
#define INITNG_VERSION "0.0.10 Big/Small bug fix"

#define INITNG_NICELEVEL -5

/* printservice adds command -p to ngc, that bloats the console with all data */
#define PRINT_SERVICE
#define MAX_PRINT_LENGHT 60
#endif
